CVE-2005-2151
CVSS5.0
发布时间 :2005-07-06 00:00:00
修订时间 :2008-09-05 16:51:01
NMCOS    

[原文]spf.c in Courier Mail Server does not properly handle DNS failures when looking up Sender Policy Framework (SPF) records, which could allow attackers to cause memory corruption.


[CNNVD]CourierMailServer spf.c 拒绝服务漏洞(CNNVD-200507-064)

        Courier Mail Server是一款电子邮件服务期软件。
        Courier Mail Server中的spf.c存在拒绝服务漏洞。
        由于在查阅Sender Policy Framework (SPF)记录时,未正确处理DNS失败,这被攻击者利用来破坏内存,导致拒绝服务。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:double_precision_incorporated:courier_mail_server:0.46
cpe:/a:double_precision_incorporated:courier_mail_server:0.48.1
cpe:/a:double_precision_incorporated:courier_mail_server:0.48
cpe:/a:double_precision_incorporated:courier_mail_server:0.50.0
cpe:/a:double_precision_incorporated:courier_mail_server:0.49.0
cpe:/a:double_precision_incorporated:courier_mail_server:0.47
cpe:/a:double_precision_incorporated:courier_mail_server:0.48.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-2151
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-2151
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200507-064
(官方数据源) CNNVD

- 其它链接及资源

http://www.courier-mta.org/?changelog.html
(UNKNOWN)  MISC  http://www.courier-mta.org/?changelog.html
http://secunia.com/advisories/15901
(VENDOR_ADVISORY)  SECUNIA  15901

- 漏洞信息

CourierMailServer spf.c 拒绝服务漏洞
中危 授权问题
2005-07-06 00:00:00 2005-10-20 00:00:00
远程  
        Courier Mail Server是一款电子邮件服务期软件。
        Courier Mail Server中的spf.c存在拒绝服务漏洞。
        由于在查阅Sender Policy Framework (SPF)记录时,未正确处理DNS失败,这被攻击者利用来破坏内存,导致拒绝服务。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        http://www.courier-mta.org/download.php

- 漏洞信息

17718
Courier Mail Server DNS SPF Record Lookup Failure Memory Corruption DoS
Denial of Service, Input Manipulation
Loss of Integrity, Loss of Availability Upgrade
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-07-02 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 0.50.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Courier Mail Server Remote Denial Of Service Vulnerability
Failure to Handle Exceptional Conditions 14135
Yes No
2005-07-04 12:00:00 2009-07-12 04:06:00
This issue was announced by the vendor.

- 受影响的程序版本

Ubuntu Ubuntu Linux 5.0 4 powerpc
Ubuntu Ubuntu Linux 5.0 4 i386
Ubuntu Ubuntu Linux 5.0 4 amd64
Double Precision Incorporated Courier Mail Server 0.50
Double Precision Incorporated Courier Mail Server 0.47
+ Ubuntu Ubuntu Linux 5.0 4 powerpc
+ Ubuntu Ubuntu Linux 5.0 4 i386
+ Ubuntu Ubuntu Linux 5.0 4 amd64
Debian Linux 3.1 sparc
Debian Linux 3.1 s/390
Debian Linux 3.1 ppc
Debian Linux 3.1 mipsel
Debian Linux 3.1 mips
Debian Linux 3.1 m68k
Debian Linux 3.1 ia-64
Debian Linux 3.1 ia-32
Debian Linux 3.1 hppa
Debian Linux 3.1 arm
Debian Linux 3.1 amd64
Debian Linux 3.1 alpha
Debian Linux 3.1
Double Precision Incorporated Courier Mail Server 0.50.1

- 不受影响的程序版本

Double Precision Incorporated Courier Mail Server 0.50.1

- 漏洞讨论

Courier Mail Server is prone to a remote denial of service vulnerability. The issue exists in the 'spf.c' source file. The vulnerable functionality deals with the processing of Sender Policy Framework (SPF) data.

A remote attacker may potentially trigger a malicious SPF record lookup that will result in a service crash, effectively denying service for legitimate users.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

The vendor has released an update to address this issue.

Debian GNU/Linux has released advisory DSA 784-1, along with fixes to address this issue. Please see the referenced advisory for further information.

Ubuntu has released advisory USN-174-1 to address this issue. Please see the referenced advisory for more information.


Double Precision Incorporated Courier Mail Server 0.47

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站